
stages:
- install
- test
- build


install:
  image: node:10
  stage: install
  script:
    - npm install
  artifacts:
    paths:
      - node_modules

lint:
  image: node:10
  stage: test
  script:
    - npm run lint
  dependencies:
    - install

test:
  image: node:10
  stage: test
  script:
    - npm run test
  dependencies:
    - install

build:
  image: node:10
  stage: build
  script:
    - npm run build
  dependencies:
    - install
  artifacts:
    paths:
      - dist

      
serve:
  image: node:10
  stage: build
  script:
    - npm run serve
  dependencies:
    - install
  
pages:
  image: node:10
  stage: deploy
  script:
    - npm ci
    - npm run build
  when: manual
  artifacts:
    paths:
      -public
  only: master


